import UnityEngine

[AddComponentMenu("Camera-Control/Cam Follow")]
class CamFollow (MonoBehaviour):
	
	public Target as GameObject
	public Distance as double
	public Speed as double

	def Start ():
		pass
	
	def Update ():
		vDir = transform.rotation * Vector3(0,0,-1) # looking away from the target object at the ideal camera pos
		fDist = Distance # fixed distance between target and camera
		vCamIdealPos = (Target.transform.position + vDir * fDist)
		vDiff = vCamIdealPos - transform.position
		transform.position += vDiff * Speed * Time.deltaTime